Katello - Bug #4966

Rendering of Katello Kickstart Default template fails on "Safemode doesn't allow to access

'subscription_manager_configuration_url""
03/31/2014 01:06 PM - lvan Necas

Status: Closed

Priority: Normal

Assignee: Ivan Necas

Category: Hosts

Target version: Katello 2.0

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Temporary workaround: set "Settings -> Provisioning -> safemode_render" to true

Related issues:
Blocked by Foreman - Feature #5077: Allow additional template helpers and var... Closed

04/04/2014

Associated revisions

Revision be3e8deb - 04/04/2014 12:58 PM - lvan Necas
Fixes #4966 - add subscription_manager_configuration_url to ALLOWED_HELPERS

This allows rendering the template in safe mode

Revision 5a4627d8 - 04/07/2014 02:55 PM - lvan Necas

Merge pull request #3946 from iNecas/fix-safe-mode

Fixes #4966 - add subscription_manager_configuration_url to ALLOWED_HELPERS

History

#1 - 03/31/2014 01:06 PM - lvan Necas
- Category set to 83

#2 - 04/01/2014 04:38 PM - lvan Necas

And by true, | meant false

#3 - 04/03/2014 01:35 PM - lvan Necas

- Status changed from New to Assigned

#4 - 04/03/2014 01:36 PM - lvan Necas

- Status changed from Assigned to New

#5 - 04/04/2014 10:50 AM - Ivan Necas

We need to update the way foreman renders the templates in safe mode to be able to add the helper url there

#6 - 04/04/2014 11:30 AM - Ivan Necas
- Status changed from New to Assigned

- Assignee set to Ivan Necas

The Foreman's part here https://github.com/theforeman/foreman/pull/1355

#7 - 04/04/2014 11:32 AM - lvan Necas

05/17/2024
https://github.com/theforeman/foreman/pull/1355

Katello's part of the fix: https:/github.com/Katello/katello/pull/3946

#8 - 04/04/2014 01:57 PM - Dominic Cleal
- Blocked by Feature #5077: Allow additional template helpers and variables from plugins added

#9 - 04/07/2014 02:44 PM - Ivan Necas
- Status changed from Assigned to Ready For Testing

#10 - 04/07/2014 03:52 PM - Ivan Necas
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katellojcommit:be3e8deb3177c8472bf5163c42dd077e650aadf0.

#11 - 06/06/2014 01:34 PM - Eric Helms

- Triaged changed from No to Yes

#12 - 08/21/2014 02:39 PM - Eric Helms

- translation missing: en.field_release set to 13
